<?php
 
	session_start();
	
	require_once('conf/definitions.php');
	require_once('conf/objs.php');
	require_once('conf/functions.php');
	
	$id = fnAdjustID();

	$pc = fnDetectAgent($TPL['block_type']);
	
	if(in_array($_SESSION['my_id'], $admins))
	{
		$pc = true;
	}
	
	$dba = new db;
	
	$style = (fnIsComputer()) ? '' : '2';
	
	if($pc)
	{
		$row = $dba->GetRow('mobile_'.$TPL['module'], $id, 'ID, file');
		if(is_array($row) && sizeof($row)>0)
		{
			$file = $row["file"];
				
			$dat = date("j.m.Y");
			
			$query = "SELECT ID, datum FROM mobile_dload_dnes ORDER BY ID DESC limit 0, 1";
			$result = $dba->GetResult($query);
			$row = mysql_fetch_array($result);
			$iid = $row["ID"];
			
//			if($dat == $row["datum"])
//			{
//				$dba->Increment('mobile_dload_dnes', 'navstev', $iid, 1);
//			}
//			else
//			{
//				$dba->ExecuteQuery("INSERT INTO mobile_dload_dnes (datum, navstev) VALUES ('".$dat."','1')");
//			}
//			
//			$dba->Increment('mobile_'.$TPL['module'], 'dload', $id, 1);
			
			$cesta = 'http://4mobile.sk/'.$TPL['module']."/".$file;
			if(fnIsComputer())
			{	
				if(isset($_SESSION['my_id']))
				{	
					$cena = $costs[$TPL['block_type']];
					
					$kreditov = $dba->GetOne('mobile_users', $_SESSION['my_id'], 'kredits');
						
					if(($kreditov-$cena) >= 0)
					{
//						$dba->Increment('mobile_users', 'kredits', $_SESSION['my_id'], (-1 * $cena));	
						fnPridajKred($_SESSION['my_id'], (-1 * $cena));
						$dba->ExecuteQuery("INSERT INTO mobile_last_download (download) VALUES ('".$TPL['log_message']." $id ".$_SESSION['log']."')");
						
						if($dat == $row["datum"])
						{
							$dba->Increment('mobile_dload_dnes', 'navstev', $iid, 1);
						}
						else
						{
							$dba->ExecuteQuery("INSERT INTO mobile_dload_dnes (datum, navstev) VALUES ('".$dat."','1')");
						}
						
						$dba->Increment('mobile_'.$TPL['module'], 'dload', $id, 1);
			
//						header("HTTP/1.1 200 OK");
//						header("Status: 200 OK");
						header('Content-Type: application/force-download');
						header('Content-Disposition: attachment; filename="'.$file.'"');
//						header('Content-Length: '.filesize($cesta));
						$cesta = $TPL['module']."/".$file;
						readfile($cesta);
						
						
					}
					else 
					{
						$error_buffer = "Nemáte dostatok kreditov na stiahnutie.<br/>Máte $kreditov kreditov, na stiahnutie potrebujete $cena kreditov.";
					}
				}
				else
				{ 
					$error_buffer = 'Nie ste prihlásený.';
//					$error_buffer = 'Ospravedlňte prosím dočasný výpadok. Momentálne sa na serveri dejú zmeny ktoré nemôžeme ovplyvniť. Ďakujeme za porozumenie.';
				}
			}
			else 
			{
				if($dat == $row["datum"])
				{
					$dba->Increment('mobile_dload_dnes', 'navstev', $iid, 1);
				}
				else
				{
					$dba->ExecuteQuery("INSERT INTO mobile_dload_dnes (datum, navstev) VALUES ('".$dat."','1')");
				}
				
				$dba->ExecuteQuery("INSERT INTO mobile_last_download (download) VALUES ('".$TPL['log_message']." $id ".$_SESSION['log']."')");
				
				$dba->Increment('mobile_'.$TPL['module'], 'dload', $id, 1);
//				echo $cesta;
				header("location:".$cesta);
			}
		}
		else 
		{
			$error_buffer = "Zadali ste neexistujúce id";
		}
	}
	else
	{
		$error_buffer = 'Sťahovanie '.$TPL['message'].' je povolené len z mobilu!';
	}
	
	if(isset($error_buffer))
	{
		?>
		
		<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
		<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
		<head>
		<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2" />
		<meta name="description" content="4mobile.sk - Pozadia, melódie, hry a videá pre Váš mobil zadarmo! Stiahnite si do svojho mobilu niektoré z tisícok pozadí, melódií, hier alebo videí!" />
		<meta name="keywords" content="pozadia, obrázky, tapety, melódie, videá, hry, pozadia zdarma, obrázky zdarma, tapety zdarma, melódie zdarma, videá zdarma, hry zdarma, pozadia zdarma, obrázky zdarma, tapety zdarma, melódie zdarma, videá zdarma, hry zdarma, pozadia zadarmo, obrázky zadarmo, tapety zadarmo, melódie zadarmo, videá zadarmo, hry zadarmo, pozadia na mobil, obrázky na mobil, tapety na mobil, melódie na mobil, videá na mobil, hry na mobil, sťahovanie do mobilu, sťahovanie na mobil" />
		<link rel="stylesheet" href="http://4mobile.sk/style<?php echo $style; ?>.css" />
		<title>4mobile.sk - Pozadia, melódie, hry a videá pre Váš mobil zadarmo!</title>
		</head>
		<body>
		<?php
		
//		  print_r($_SESSION);
		echo $_SERVER['QUERY_STRING'];
		
		?>
		<div class="dload_error_div"><?php echo $error_buffer; ?><br /><br />
		<a href='http://4mobile.sk/?module=faq' id='menu01_link'>Ako môžem získať kredity?</a></div>
		</body>
		</html>
		
		<?php
	}
?>